Bug 245649 - Review Request: gnome-password-generator - Graphical secure password generator
Review Request: gnome-password-generator - Graphical secure password generator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-25 17:06 EDT by Debarshi Ray
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 15:33:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2007-06-25 17:06:21 EDT
Spec URL: https://fedoraproject.org/wiki/DebarshiRay?action=AttachFile&do=get&target=gnome-password-generator.spec

SRPM URL: https://fedoraproject.org/wiki/DebarshiRay?action=AttachFile&do=get&target=gnome-password-generator-1.4-1.fc8.src.rpm

Description:
Gnome Password Generator is a GUI based secure password generator. It allows
the user to generate a specified number of random passwords of a specified
length.
Comment 1 Debarshi Ray 2007-07-09 04:43:06 EDT
SPEC:
https://fedoraproject.org/wiki/DebarshiRay?action=AttachFile&do=get&target=gnome-password-generator-2.spec

SRPM:
https://fedoraproject.org/wiki/DebarshiRay?action=AttachFile&do=get&target=gnome-password-generator-1.4-2.fc8.src.rpm

I have rectified some issues, but keep getting errors in mock. Looks like there
are some problems with 'Requires/BuildRequires', but can not figure out what is
wrong.
Comment 2 Mamoru TASAKA 2007-07-28 12:23:33 EDT
(Only I tried to rebuild this package)

(In reply to comment #1)
> I have rectified some issues, but keep getting errors in mock. 
What problem are you seeing? I just tried to rebuild and
it passed. Also rebuild by koji seems fine.
http://koji.fedoraproject.org/koji/taskinfo?taskID=80593
Comment 3 Debarshi Ray 2007-07-28 13:15:00 EDT
Alright, maybe I was seeing things. :-) Those were early days  for me with mock,
and maybe I made a stupid mistake.

One question: is it necessary to have...
make install prefix=%{_prefix} bindir=%{_bindir} datadir=%{_datadir}
DESTDIR=$RPM_BUILD_ROOT
...instead of...
make install DESTDIR=$RPM_BUILD_ROOT
...since the hard-coded defaults are good enough?
Comment 5 Mamoru TASAKA 2007-07-30 11:15:37 EDT
For 1.4-3:

* BuildRequires
  - I just watched Makefile and I don't think this package
    must have gnome-python2 pygtk2-devel as BuildRequires.

* Requires
  - It may well that this package has "Requires: redhat-artwork".
--------------------------------------------------------
   102          menu_items = (
   103              ("/_File", None, None, 0, "<Branch>"),
   104              ("/File/_Quit", "<control>Q", self.DestroyCallback, 0,
"<StockItem>", gtk.STOCK_QUIT),
   105              ("/_Help", None, None, 0, "<Branch>"),
   106              ("/_Help/_About", None, self.AboutCallback, 0,
"<StockItem>", "gnome-stock-about")
   107          )
--------------------------------------------------------

* icon
  - By the way, why do you have to install icon under
    %{_datadir}/icons/hicolor/48x48/apps, even though it is
    also installed under %{_datadir}/pixmaps/ ?
Comment 6 Debarshi Ray 2007-07-30 22:17:00 EDT
> * BuildRequires
>   - I just watched Makefile and I don't think this package
>     must have gnome-python2 pygtk2-devel as BuildRequires.

Fixed. I wonder why the Dag Apt and FC6 package had them.
 
> * Requires
>   - It may well that this package has "Requires: redhat-artwork".

Fixed.

> * icon
>   - By the way, why do you have to install icon under
>     %{_datadir}/icons/hicolor/48x48/apps, even though it is
>     also installed under %{_datadir}/pixmaps/ ?

While creating the initial build, I was told on #fedora-devel that only icons
placed under %{_datadir}/icons/hicolor are themeable, while stuff under
%{_datadir}/pixmaps are non-themeable. I was advised to put the icons under
%{_datadir}/icons/hicolor/48x48/apps.

However the icon size is 96x96, and so I have now put it under
%{_datadir}/icons/hicolor/96x96/apps.
Comment 8 Mamoru TASAKA 2007-07-31 12:07:48 EDT
Ah, I forgot to write (although I noticed: )
- Desktop file
  Category "Application" is deprecated and should be removed.

Everything else is okay.
-----------------------------------------------------------------
  This package (gnome-password-generator) is APPROVED by me
-----------------------------------------------------------------
Comment 10 Debarshi Ray 2007-07-31 14:30:01 EDT
New Package CVS Request
=======================
Package Name: gnome-password-generator
Short Description: Graphical secure password generator.
Owners: debarshi.ray@gmail.com
Branches: FC-6, F-7
InitialCC:
Comment 11 Kevin Fenzi 2007-07-31 14:45:57 EDT
cvs done.
Comment 12 Debarshi Ray 2007-10-04 08:10:46 EDT
Package Change Request
======================
Package Name: gnome-password-generator
New Branches: F-8
Comment 13 Kevin Fenzi 2007-10-05 12:45:08 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.